/**
 * Created by yaohx_169 on 2017/6/8.
 */
import { cookie } from './config';
import { getCookie, locationOrigin, currentPath } from './helper';

export function isAuthed() {
  return !!getCookie(cookie.token);
}

export function hasDomain() {
  return !!getCookie(cookie.domain);
}

export function redirectLogin() {
  localStorage.clear(); // eslint-disable-line
  if (currentPath() !== '/login') {
    location.href = `${locationOrigin(true)}/login?from=${currentPath()}`; // eslint-disable-line
  }
}

export function authenticated() {
  const token = getCookie(cookie.token);
  if (!token) {
    redirectLogin();
  }
}
