import request from '../utils/request';

export async function countTasks(filters = []) {
  return request('/api/bpm/task/all/count', filters);
}

export async function fetchTasks({ pst, psz, filters }) {
  const queryParams = [...filters];
  queryParams.push(['pst', pst]);
  queryParams.push(['psz', psz]);
  return request('/api/bpm/task/all/info', queryParams);
}
